/*                                                           12-23-95 04:43pm
 ****************************************************************************
 * AVL NetWare C Interface Library     Version 1.02.002      01-02-96 02:54pm
 ****************************************************************************
 *
 *   GETCONIN.C       Gets Connection Information
 *
 *   Prototype:
 *            int   NetWare_getConInfo( netware_coninfo_t *reply_buffer );
 *
 *   Note:    This function also returns the Connection Number.
 *
 ****************************************************************************
 *
 * Copyright (c) 1995,1996 Alexander V. Loukyanets
 * All rights reserved.
 *
 ****************************************************************************
 *
 * Compiler :  Zortech C/C++ 3.1r2 (Patched)
 *
 ****************************************************************************
 */

#if defined( DEBUGGING )
#include    <stdio.h>
#endif
#include    <dos.h>
#include    "netware.h"


#pragma ZTC align 1


/*
 ****************************************************************************
 */

int NetWare_getConInfo( netware_coninfo_t *reply_buffer )
{
  union   REGS              regs;
  struct SREGS              segregs;
  int                       cnum;

  cnum = NetWare_getConNumber();

  NetWare_getObjectConInfo( cnum, reply_buffer );

  return( cnum );
}



#pragma ZTC align

/****************************************************************************
*** end of GETCONIN.C ***/
