/*                                                           12-23-95 04:43pm
 ****************************************************************************
 * AVL NetWare C Interface Library     Version 1.02.002      01-02-96 02:54pm
 ****************************************************************************
 *
 *   GETCONUM.C       Gets Connection Number
 *
 *   Prototype:
 *            int   NetWare_getConNumber( void );
 *
 ****************************************************************************
 *
 * Copyright (c) 1995,1996 Alexander V. Loukyanets
 * All rights reserved.
 *
 ****************************************************************************
 *
 * Compiler :  Zortech C/C++ 3.1r2 (Patched)
 *
 ****************************************************************************
 */

#if defined( DEBUGGING )
#include    <stdio.h>
#endif
#include    <dos.h>
#include    "netware.h"


#pragma ZTC align 1


/*
 ****************************************************************************
 */

int NetWare_getConNumber( void )
{
  union   REGS regs;
  int          ret;

  regs.h.ah = 0xdc;
  int86( 0x21, &regs, &regs );
  ret = regs.h.al;
  return( ret );
}



#pragma ZTC align

/****************************************************************************
*** end of GETCONUM.C ***/
