/*                                                           12-23-95 04:43pm
 ****************************************************************************
 * AVL NetWare C Interface Library     Version 1.02.002      01-02-96 02:54pm
 ****************************************************************************
 *
 *   GETTCON.C        Gets the Connections Table
 *
 *   Prototype:
 *            void NetWare_getConnectTable( netware_connect_table_pt *connections );
 *
 *   Usage:
 *            netware_connect_table_pt  connects;
 *            NetWare_getConnectTable( &connects );
 *
 ****************************************************************************
 *
 * Copyright (c) 1995,1996 Alexander V. Loukyanets
 * All rights reserved.
 *
 ****************************************************************************
 *
 * Compiler :  Zortech C/C++ 3.1r2 (Patched)
 *
 ****************************************************************************
 */

#if defined( DEBUGGING )
#include    <stdio.h>
#endif
#include    <dos.h>
#include    "netware.h"


#pragma ZTC align 1


/*
 ****************************************************************************
 */

void NetWare_getConnectTable( netware_connect_table_pt *connections )
{
  union   REGS      regs;
  struct SREGS      segregs;
  int               ret;

  regs.x.ax = 0xef03;
  int86x( 0x21, &regs, &regs, &segregs );
  *connections = MK_FP( segregs.es, regs.x.si );

  return;
}



#pragma ZTC align

/****************************************************************************
*** end of GETTCON.C ***/
