/*                                                           12-23-95 04:43pm
 ****************************************************************************
 * AVL NetWare C Interface Library     Version 1.02.002      01-02-96 02:54pm
 ****************************************************************************
 *
 *   GETTSER.C        Gets the Servers Table
 *
 *   Prototype:
 *            void NetWare_getServersTable( netware_servers_table_pt *servers );
 *
 *   Usage:
 *            netware_servers_table_pt  servers;
 *            NetWare_getServersTable( &servers );
 *            for ( i=0; i<8; i++ )
 *                printf( "\n%2d  %48s", i+1, (*servers)[i] );
 *
 ****************************************************************************
 *
 * Copyright (c) 1995,1996 Alexander V. Loukyanets
 * All rights reserved.
 *
 ****************************************************************************
 *
 * Compiler :  Zortech C/C++ 3.1r2 (Patched)
 *
 ****************************************************************************
 */

#if defined( DEBUGGING )
#include    <stdio.h>
#endif
#include    <dos.h>
#include    "netware.h"


#pragma ZTC align 1


/*
 ****************************************************************************
 */

void NetWare_getServersTable( netware_servers_table_pt *servers )
{
  union   REGS      regs;
  struct SREGS      segregs;
  int               ret;

  regs.x.ax = 0xef04;
  int86x( 0x21, &regs, &regs, &segregs );
  *servers = MK_FP( segregs.es, regs.x.si );

  return;
}



#pragma ZTC align

/****************************************************************************
*** end of GETTSER.C ***/
