/*                                                           12-23-95 04:43pm
 ****************************************************************************
 * AVL NetWare C Interface Library     Version 1.02.002      01-02-96 02:54pm
 ****************************************************************************
 *
 *   ISIPX.C          Function to test is IPX installed.
 *
 *   Prototype:
 *            int NetWare_Is_ipx_Installed( void );
 *
 *   Note:    This function also determinates the entry point of
 *            IPX/SPX service, ipxspx_entry(), as follows:
 *
 *            void (_far *ipxspx_entry)   ( void );
 *
 ****************************************************************************
 *
 * Copyright (c) 1995,1996 Alexander V. Loukyanets
 * All rights reserved.
 *
 ****************************************************************************
 *
 * Compiler :  Zortech C/C++ 3.1r2 (Patched)
 *
 ****************************************************************************
 */


#if defined( DEBUGGING )
#include    <stdio.h>
#endif
#include    <dos.h>
#include    "netware.h"


#pragma ZTC align 1


/*
 ****************************************************************************
 */

int NetWare_Is_ipx_Installed( void )
{
  union   REGS  regs;
  struct SREGS  segregs;

  regs.x.ax = 0x7a00;
  int86x( 0x2f, &regs, &regs, &segregs );

  if ( regs.h.al == 0xff ) {
    ipxspx_entry = MK_FP( segregs.es, regs.x.di );
    return( 1 );
  }
  else
    return( 0 );
}



#pragma ZTC align

/****************************************************************************
*** end of ISIPX.C ***/
