#############################################################################
#
#  NETWARE.MK        Make file for building AVL NetWare C Interface Library.
#
# Copyright (c) 1995,1996 Alexander V. Loukyanets
# All rights reserved.
#
#############################################################################


#------------------------------ Zortech C 3.x -------------------------------

COMPL   = z
MODEL   = l

##CCOPT   = -c -r -s -g -x -w2 -DDEBUGGING
CCOPT   = -c -r -o+time -o+loop -w2

CC      = ztc -r -m$(MODEL) $(CCOPT) -DMSDOS

LIBRAR  = zorlib

#----------------------------------------------------------------------------

LIBNAME = netw_$(COMPL)$(MODEL).lib

OBJFILES= \
          GETVERS.OBJ \
          ATTCHFS.OBJ \
          BINDFUNC.OBJ \
          DETCHFS.OBJ \
          GETCONIN.OBJ \
          GETCONUM.OBJ \
          GETCPUN.OBJ \
          GETCURFS.OBJ \
          GETDEFCN.OBJ \
          GETNADR.OBJ \
          GETOCINF.OBJ \
          GETONADR.OBJ \
          GETPRFCN.OBJ \
          GETPRICN.OBJ \
          GETTCON.OBJ \
          GETTSER.OBJ \
          GETTDRVH.OBJ \
          GETTDRVF.OBJ \
          GETTDRVC.OBJ \
          GETVOLNA.OBJ \
          GETVOLNU.OBJ \
          GETVOLIN.OBJ \
          SCNDIRIN.OBJ \
          ISIPX.OBJ   \
          MISCFUNC.OBJ \
          SETPRFCN.OBJ \
          SETPRICN.OBJ

#----------------------------------------------------------------------------

all: clean $(LIBNAME)

clean:
        del *.obj>nul

.c.obj:
        $(CC) $*.c

$(LIBNAME): $(OBJFILES) netware.mk
        del $(LIBNAME) >nul
        for %f in (*.obj) do $(LIBRAR) $(LIBNAME) +%f;
        @del *.obj > nul


### end of NETWARE.MK ###
