/* < NOT TESTED >                                            01-02-96 03:41pm
 ****************************************************************************
 * AVL NetWare C Interface Library     Version 1.02.002      01-02-96 02:54pm
 ****************************************************************************
 *
 *   SCNDIRIN.C       Scan Directory Information
 *
 *   Prototype:
 *            int NetWare_ScanDirInfo( UBYTE DirHandle,
 *                    char *SearchDirPath, int *SequenceNumber,
 *                    char *DirName, UBYTE *CreaDateTime, UDBLWORD *OwnerObjID,
 *                    UBYTE *MaxRightMask );
 *
 ****************************************************************************
 *
 * Copyright (c) 1995,1996 Alexander V. Loukyanets
 * All rights reserved.
 *
 ****************************************************************************
 *
 * Compiler :  Zortech C/C++ 3.1r2 (Patched)
 *
 ****************************************************************************
 */

#include    <string.h>
#if defined( DEBUGGING )
#include    <stdio.h>
#endif
#include    <dos.h>
#include    "netware.h"


#pragma ZTC align 1


/*
 ****************************************************************************
 */

int NetWare_ScanDirInfo( UBYTE DirHandle, char *SearchDirPath, int *SequenceNumber,
                         char *DirName, UBYTE *CreaDateTime, UDBLWORD *OwnerObjID,
                         UBYTE *MaxRightMask )
{
  struct SREGS    segregs;
  union  REGS     regs;
  int             len = strlen( SearchDirPath );
  struct request_ {
    UWORD     buffer_length;
    UBYTE     request_type;
    UBYTE     dir_handle;
    UWORD     sequence_number;
    UBYTE     path_length;
    UBYTE     search_dir_path[132];
  }               buf_request;
  struct reply_ {
    UWORD     buffer_length;
    UBYTE     dir_name[16];
    UBYTE     creat_date[2];
    UBYTE     creat_time[2];
    UDBLWORD  owner_obj_id;
    UBYTE     max_right_mask;
    UBYTE     r_e_s_e_r_v_e_d;
    UWORD     subdir_number;
  }               buf_reply;

  buf_request.buffer_length = sizeof( struct request_ ) - 2 - (132 - len);
  buf_reply.buffer_length   = sizeof( struct reply_ ) - 2;

  buf_request.request_type    = 0x02;
  buf_request.dir_handle      = DirHandle;
  buf_request.sequence_number = *SequenceNumber;
  buf_request.path_length     = len;
  strcpy( (char *)buf_request.search_dir_path, SearchDirPath );

  regs.h.ah   = 0xE2;
  segregs.ds  = FP_SEG( (void _far *)&buf_request );
  regs.x.si   = FP_OFF( (void _far *)&buf_request );
  segregs.es  = FP_SEG( (void _far *)&buf_reply );
  regs.x.di   = FP_OFF( (void _far *)&buf_reply );
  int86x( 0x21, &regs, &regs, &segregs );

  if ( regs.h.al == 0 ) {
    strncpy( DirName, (char *)buf_reply.dir_name, 16 );
    (*OwnerObjID)   = buf_reply.owner_obj_id;
    (*MaxRightMask) = buf_reply.max_right_mask;
  }

  (*SequenceNumber)++;

  return( regs.h.al ); // 0 if OK
}



#pragma ZTC align

/****************************************************************************
*** end of SCNDIRIN.C ***/
