/*                                                           12-23-95 04:43pm
 ****************************************************************************
 * AVL NetWare C Interface Library     Version 1.02.002      01-02-96 02:54pm
 ****************************************************************************
 *
 *   SETPRICN.C       Sets Primary Connection Indetificator
 *
 *   Prototype:
 *            int NetWare_SetPrimaryConID( UBYTE ConID );
 *
 ****************************************************************************
 *
 * Copyright (c) 1995,1996 Alexander V. Loukyanets
 * All rights reserved.
 *
 ****************************************************************************
 *
 * Compiler :  Zortech C/C++ 3.1r2 (Patched)
 *
 ****************************************************************************
 */

#if defined( DEBUGGING )
#include    <stdio.h>
#endif
#include    <dos.h>
#include    "netware.h"


#pragma ZTC align 1


/*
 ****************************************************************************
 */

int NetWare_SetPrimaryConID( UBYTE ConID )
{
  union   REGS regs;

  regs.x.ax = 0xf004;
  regs.h.dl = ConID;
  int86( 0x21, &regs, &regs );
  return( regs.h.al ); // 0 if OK
}



#pragma ZTC align

/****************************************************************************
*** end of SETPRICN.C ***/
