/*                                                           12-23-95 04:43pm
 ****************************************************************************
 * AVL NetWare C Interface Library     Version 1.02.002      01-02-96 02:54pm
 ****************************************************************************
 *
 *   GETCPUN.C        Gets the CPU Network Name
 *
 *   Prototype:
 *            int NetWare_getCPUname( char **cpu_name );
 *
 ****************************************************************************
 *
 * Copyright (c) 1995,1996 Alexander V. Loukyanets
 * All rights reserved.
 *
 ****************************************************************************
 *
 * Compiler :  Zortech C/C++ 3.1r2 (Patched)
 *
 ****************************************************************************
 */

#include    <string.h>
#if defined( DEBUGGING )
#include    <stdio.h>
#endif
#include    <dos.h>
#include    "netware.h"


#pragma ZTC align 1


/*
 ****************************************************************************
 */

int NetWare_getCPUname( char **cpu_name )
{
  union   REGS      regs;
  struct SREGS      segregs;
  static char       buffer[16];
  int               ret;

  (*cpu_name) = buffer;
  memset( buffer, 0, sizeof(buffer) );
  regs.x.ax = 0x5e00;
  regs.x.dx  = FP_OFF((void _far *)buffer);
  segregs.ds = FP_SEG((void _far *)buffer);
  int86x( 0x21, &regs, &regs, &segregs );
  if ( regs.h.ch ) {
    ret = regs.h.cl;  // -- netbios name number
    buffer[15] = '\0';
    return( ret );
  }
  else
    return( 0 );
}



#pragma ZTC align

/****************************************************************************
*** end of GETCPUN.C ***/
