/*                                                           12-23-95 04:43pm
 ****************************************************************************
 * AVL NetWare C Interface Library     Version 1.02.002      01-02-96 02:54pm
 ****************************************************************************
 *
 *   GETONADR.C       Gets Object Internetwork Adress by Connection Number
 *
 *   Prototype:
 *            int NetWare_getObjectIntnetAdr( int connect_number,
 *                                            netware_intnetadr_t *reply_buffer );
 *
 ****************************************************************************
 *
 * Copyright (c) 1995,1996 Alexander V. Loukyanets
 * All rights reserved.
 *
 ****************************************************************************
 *
 * Compiler :  Zortech C/C++ 3.1r2 (Patched)
 *
 ****************************************************************************
 */

#if defined( DEBUGGING )
#include    <stdio.h>
#endif
#include    <dos.h>
#include    "netware.h"


#pragma ZTC align 1


/*
 ****************************************************************************
 */

int NetWare_getObjectIntnetAdr( int connect_number,
                                netware_intnetadr_t *reply_buffer )
{
  union   REGS            regs;
  struct SREGS            segregs;
  netware_info_request_t  request_buffer;

  request_buffer.request_length     = 2;
  request_buffer.subfunction        = 0x13;
  request_buffer.buffer_connect_num = connect_number;
  reply_buffer->buffer_length = 12;

  segregs.ds = FP_SEG((void _far *)&request_buffer);
  regs.x.si  = FP_OFF((void _far *)&request_buffer);
  segregs.es = FP_SEG((void _far *)reply_buffer);
  regs.x.di  = FP_OFF((void _far *)reply_buffer);

  regs.h.ah = 0xe3;
  int86x( 0x21, &regs, &regs, &segregs );

  return( regs.h.al );
}



#pragma ZTC align

/****************************************************************************
*** end of GETONADR.C ***/
