/* < FAILED YET !!! >                                        01-02-96 03:41pm
 ****************************************************************************
 * AVL NetWare C Interface Library     Version 1.02.002      01-02-96 02:54pm
 ****************************************************************************
 *
 *   GETVOLIN.C       Gets Volume Information
 *
 *   Prototype:
 *            int NetWare_getVolumeInfo( int VolNumber, char *VolName,
 *                    UWORD *TotalBlocks, UWORD *SectorsPerBlock,
 *                    UWORD *AvailBlocks, UWORD *TotalDirSlots,
 *                    UWORD *AvailDirSlots, UWORD *Removable );
 *
 ****************************************************************************
 *
 * Copyright (c) 1995,1996 Alexander V. Loukyanets
 * All rights reserved.
 *
 ****************************************************************************
 *
 * Compiler :  Zortech C/C++ 3.1r2 (Patched)
 *
 ****************************************************************************
 */

#include    <string.h>
#if defined( DEBUGGING )
#include    <stdio.h>
#endif
#include    <dos.h>
#include    "netware.h"


#pragma ZTC align 1


/*
 ****************************************************************************
 */

int NetWare_getVolumeInfo( int VolNumber, char *VolName,
                           UWORD *TotalBlocks, UWORD *SectorsPerBlock,
                           UWORD *AvailBlocks, UWORD *TotalDirSlots,
                           UWORD *AvailDirSlots, UWORD *Removable )
{
  struct SREGS    segregs;
  union  REGS     regs;
  struct reply_ {
    UWORD     SectorsPerBlock;
    UWORD     TotalBlocks;
    UWORD     AvailBlocks;
    UWORD     TotalDirSlots;
    UWORD     AvailDirSlots;
    UBYTE     volume_name[16];
    UWORD     Removable;
  }               buf_reply;

  regs.h.ah   = 0xDA;
  regs.h.dl   = (UBYTE)VolNumber;
  segregs.es  = FP_SEG( (void _far *)&buf_reply );
  regs.x.di   = FP_OFF( (void _far *)&buf_reply );
  int86x( 0x21, &regs, &regs, &segregs );

  strncpy( VolName, (char *)buf_reply.volume_name, 16 );
  swab( (char*)&(buf_reply.SectorsPerBlock), (char*)SectorsPerBlock, 2 );
  swab( (char*)&(buf_reply.TotalBlocks),     (char*)TotalBlocks,     2 );
  swab( (char*)&(buf_reply.AvailBlocks),     (char*)AvailBlocks,     2 );
  swab( (char*)&(buf_reply.TotalDirSlots),   (char*)TotalDirSlots,   2 );
  swab( (char*)&(buf_reply.AvailDirSlots),   (char*)AvailDirSlots,   2 );
  swab( (char*)&(buf_reply.Removable),       (char*)Removable,       2 );

  return( regs.h.al ); // 0 if OK
}



#pragma ZTC align

/****************************************************************************
*** end of GETVOLIN.C ***/
