/*                                                           12-23-95 04:43pm
 ****************************************************************************
 * AVL NetWare C Interface Library     Version 1.02.002      01-02-96 02:54pm
 ****************************************************************************
 *
 *   MISCFUNC.C       Miscellaneous Functions
 *
 *   Prototypes:
 *            int     Is_It_Remote_Drive    ( UWORD drv );
 *            int     Is_It_Remote_Handle   ( int filehandle );
 *
 ****************************************************************************
 *
 * Copyright (c) 1995,1996 Alexander V. Loukyanets
 * All rights reserved.
 *
 ****************************************************************************
 *
 * Compiler :  Zortech C/C++ 3.1r2 (Patched)
 *
 ****************************************************************************
 */

#if defined( DEBUGGING )
#include    <stdio.h>
#endif
#include    <dos.h>
#include    "netware.h"


#pragma ZTC align 1


/*
 ****************************************************************************
 */

int Is_It_Remote_Drive( UWORD drv )
{
  union   REGS regs;

  regs.x.ax = 0x4409;
  regs.h.bl = (unsigned char)drv;
  int86( 0x21, &regs, &regs );
  if ( (regs.x.dx & 0x1000) == 0x1000 ) return( 1 );
  else                                  return( 0 );
}

/*
 ****************************************************************************
 */

int Is_It_Remote_Handle( int filehandle )
{
  union   REGS regs;

  regs.x.ax = 0x4409;
  regs.x.bx = filehandle;
  int86( 0x21, &regs, &regs );
  if ( (regs.x.dx & 0x8000) == 0x8000 ) return( 1 );
  else                                  return( 0 );
}



#pragma ZTC align

/****************************************************************************
*** end of MISCFUNC.C ***/
